> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custody Wallets

> Lists the custody wallets of your company or one of your users.

#### Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | `Bearer <access>` obtained from **POST /api/token**. |
| clientId | Path | Yes | Your client ID, from **GET /api/infoClient**. |
| userId | Path | Yes | Your client ID or the ID of one of your users (from **GET /api/b2b2b/&#123;clientId&#125;/users**). The user must be approved. |

#### Response

An array of wallets with the same fields as **Create Custody Wallet**. The address is partially masked.



## OpenAPI

````yaml /business/openapi.json get /api/b2b2b/{clientId}/wallet/custody/{userId}
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders, accounts and wallets,
    users, custody wallets and transfers.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Users
  - name: Ramp Orders
  - name: Custody
  - name: Webhooks
paths:
  /api/b2b2b/{clientId}/wallet/custody/{userId}:
    get:
      tags:
        - Custody
      summary: Get Custody Wallets
      description: >-
        Lists the custody wallets of your company or one of your users.


        #### Request


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | `Bearer <access>` obtained from **POST
        /api/token**. |

        | clientId | Path | Yes | Your client ID, from **GET /api/infoClient**.
        |

        | userId | Path | Yes | Your client ID or the ID of one of your users
        (from **GET /api/b2b2b/&#123;clientId&#125;/users**). The user must be
        approved. |


        #### Response


        An array of wallets with the same fields as **Create Custody Wallet**.
        The address is partially masked.
      operationId: get-custody-wallets
      parameters:
        - name: clientId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
        - name: userId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    registerDate:
                      type: string
                    status:
                      type: string
                    supportedCustodian:
                      type: object
                      properties:
                        code:
                          type: string
                        id:
                          type: integer
                        name:
                          type: string
                        status:
                          type: boolean
                    supportedNetwork:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        status:
                          type: boolean
                    supportedToken:
                      type: object
                      properties:
                        id:
                          type: integer
                        token:
                          type: string
                        status:
                          type: boolean
                    userId:
                      type: string
                    wallet:
                      type: string
              examples:
                api-b2b2b-wallet-custody:
                  summary: api/b2b2b/wallet/custody
                  value:
                    - id: 18f5d977-988c-4a22-a366-e58a425c747e
                      registerDate: '2025-09-18 23:47:01.709244'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0xdef5269d715e1a19c538e5ea10583223c9e92663'
                    - id: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      registerDate: '2025-09-18 23:59:08.496242'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0x5c5ce454a40443a74d8c6def6b4c183b08056bfd'
                    - id: d2a63520-1e20-47e1-a9a8-72d7382d47ae
                      registerDate: '2025-09-19 00:09:55.314687'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0x7dff364192058e2c28c65aa09ad54d08d753dd3f'
                    - id: 5c6ca40e-0b08-4059-89ff-7964564322c9
                      registerDate: '2025-09-19 00:09:57.755553'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0xba68a6d24a548fe497b7fa979341021b24df391a'
                    - id: 2cc311c7-1d52-418d-bb85-8ae7a028c38a
                      registerDate: '2025-09-19 00:10:00.567861'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0xb9e67805c12998b608dd8ea2695ab06c5e9978c1'
                    - id: e95fd7ff-f8d2-42da-9a86-48e5ff64a111
                      registerDate: '2025-09-19 15:48:49.937296'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0x6af3166d17242ba1a3dcefcda0b6fafcf2ad4c98'
                    - id: 1f62e5ee-7f4d-4bb2-b0f4-1376daed0f67
                      registerDate: '2025-09-23 19:33:43.058806'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0x73f6d16504ab78595c2885362e3eb2573a6f377f'
                    - id: 751d98d2-2279-47d1-a799-3d70a4ce20b6
                      registerDate: '2025-09-23 22:43:32.291868'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0x4387842a6d5e6e949f9cc31ff7229ce58eec5aec'
                    - id: 4437fead-ef9f-4091-aadf-3246a1eecb01
                      registerDate: '2025-09-29 16:36:30.653728'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0xcf00f5a9608dc93fb76c59a7b020157fec42af20'
                    - id: 507218f2-5e61-44af-ac1d-c0511fabe151
                      registerDate: '2025-09-29 19:52:20.361139'
                      status: accepted
                      supportedCustodian:
                        code: KRAVATA
                        id: 140
                        name: KRAVATA
                        status: true
                      supportedNetwork:
                        id: 8
                        name: POLYGON
                        status: true
                      supportedToken:
                        id: 1
                        status: true
                        token: USDC
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      wallet: '0xc857a3d67f9d5ffd185b32c10139a5d9372f4c68'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````